Skip to main content
PUT
/
contracts
/
{contractId}
/
plans
/
{contractPlanId}
/
change
Change contract plan
curl --request PUT \
  --url https://api.getenso.ai/contracts/{contractId}/plans/{contractPlanId}/change \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2026-05-01",
  "endDate": "2027-04-30",
  "PlanId": "200"
}
'
import requests

url = "https://api.getenso.ai/contracts/{contractId}/plans/{contractPlanId}/change"

payload = {
"startDate": "2026-05-01",
"endDate": "2027-04-30",
"PlanId": "200"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '2026-05-01', endDate: '2027-04-30', PlanId: '200'})
};

fetch('https://api.getenso.ai/contracts/{contractId}/plans/{contractPlanId}/change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "Success",
  "data": {}
}
{
"status": "error",
"message": "Forbidden",
"errors": [
{}
]
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Path Parameters

contractId
string
required

Contract ID

contractPlanId
string
required

Contract Plan ID

Body

application/json
startDate
string<date>
required
Example:

"2026-05-01"

endDate
string<date>
required
Example:

"2027-04-30"

PlanId
string
Example:

"200"

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object | null

Endpoint-specific payload (object, array, or null)